!
      if (segList(ii)%flagOn) Then
         valueC = traceflag%on
      else if (segList(ii)%flagRef) Then
         valueC = traceflag%ref
      else
         valueC = traceflag%on
      end if
      call pakoXMLcase(valueC,error=errorXML)
      call pakoXMLwriteElement("PARAM","traceFlag",valueC,             &
     &                         dataType="char",                        &
     &                         error=errorXML)
!
